<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/read_password_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/08/84  read_password_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in read_password_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: read_password_: 02/08/84  read_password_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>Function: reads a single line from the users' terminal <span class="textRainbow_lv0_p0">(</span>actually from
<span id="L11" class="LineNr">11 </span>the user_input I/O switch<span class="textRainbow_lv0_p0">)</span>.  It attempts to hide the input line by
<span id="L12" class="LineNr">12 </span>turning the printing mechanism off before reading and turning it back
<span id="L13" class="LineNr">13 </span>on afterwards.  If the printing mechanism cannot be turned off, then a
<span id="L14" class="LineNr">14 </span>mask consisting of several layers of printing designed to &quot;black out&quot;
<span id="L15" class="LineNr">15 </span>the page is printed.  One of the layers of printing is pseudo-randomly
<span id="L16" class="LineNr">16 </span>generated so that it will be different each time the subroutine is
<span id="L17" class="LineNr">17 </span>called, thus making it difficult to analyze the layers of
<span id="L18" class="LineNr">18 </span>overprinting.  The mask is 12 characters long.
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>Syntax:
<span id="L22" class="LineNr">22 </span>declare read_password_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr">23 </span>call read_password_ <span class="textRainbow_lv0_p0">(</span>prompt<span class="textRainbow_lv0_o0">,</span> password<span class="textRainbow_lv0_p0">)</span>;
<span id="L24" class="LineNr">24 </span>
<span id="L25" class="LineNr">25 </span>
<span id="L26" class="LineNr">26 </span>Arguments:
<span id="L27" class="LineNr">27 </span>prompt
<span id="L28" class="LineNr">28 </span>   is a message to be printed before the password is read.  It can be
<span id="L29" class="LineNr">29 </span>   any length.  A newline character is always printed after the
<span id="L30" class="LineNr">30 </span>   prompting message.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L31" class="LineNr">31 </span>password
<span id="L32" class="LineNr">32 </span>   is the password that the user typed.  It can be up to 120 characters
<span id="L33" class="LineNr">33 </span>   long.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L34" class="LineNr">34 </span>
<span id="L35" class="LineNr">35 </span>
<span id="L36" class="LineNr">36 </span>Notes:  The password is processed as follows -- tab characters are
<span id="L37" class="LineNr">37 </span>translated to blanks.  Leading blanks are removed.  Characters after
<span id="L38" class="LineNr">38 </span>any embedded blanks are removed.  If the resulting password is all
<span id="L39" class="LineNr">39 </span>blank, a single asterisk <span class="textRainbow_lv0_p0">(</span>&quot;*&quot;<span class="textRainbow_lv0_p0">)</span> is returned, otherwise the password is
<span id="L40" class="LineNr">40 </span>returned.
<span id="L41" class="LineNr">41 </span>
<span id="L42" class="LineNr">42 </span>
<span id="L43" class="LineNr">43 </span>:Entry:  switch:  02/08/84 read_password_$switch
<span id="L44" class="LineNr">44 </span>
<span id="L45" class="LineNr">45 </span>
<span id="L46" class="LineNr">46 </span>Function:  This entry is similar to read_password_, but it allows the
<span id="L47" class="LineNr">47 </span>caller to specify the I/O switches to be used to print the prompt and
<span id="L48" class="LineNr">48 </span>read the password.
<span id="L49" class="LineNr">49 </span>
<span id="L50" class="LineNr">50 </span>
<span id="L51" class="LineNr">51 </span>Syntax:
<span id="L52" class="LineNr">52 </span>declare read_password_$switch entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L53" class="LineNr">53 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L54" class="LineNr">54 </span>call read_password_$switch <span class="textRainbow_lv0_p0">(</span>output_switch<span class="textRainbow_lv0_o0">,</span> input_switch<span class="textRainbow_lv0_o0">,</span> prompt<span class="textRainbow_lv0_o0">,</span>
<span id="L55" class="LineNr">55 </span>     password<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L56" class="LineNr">56 </span>
<span id="L57" class="LineNr">57 </span>
<span id="L58" class="LineNr">58 </span>Arguments:
<span id="L59" class="LineNr">59 </span>output_switch
<span id="L60" class="LineNr">60 </span>   is a pointer to the I/O switch on which the prompt, and if necessary
<span id="L61" class="LineNr">61 </span>   the password mask, is printed.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L62" class="LineNr">62 </span>input_switch
<span id="L63" class="LineNr">63 </span>   is a pointer to the I/O switch from which the password is read.
<span id="L64" class="LineNr">64 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L65" class="LineNr">65 </span>prompt
<span id="L66" class="LineNr">66 </span>   is a message to be printed before the password is read.  It can be
<span id="L67" class="LineNr">67 </span>   any length.  A newline character is always printed after the
<span id="L68" class="LineNr">68 </span>   prompting message.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L69" class="LineNr">69 </span>
<span id="L70" class="LineNr">70 </span>
<span id="L71" class="LineNr">71 </span>password
<span id="L72" class="LineNr">72 </span>   is the password that the user typed.  It can be up to 120 characters
<span id="L73" class="LineNr">73 </span>   long.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L74" class="LineNr">74 </span>code
<span id="L75" class="LineNr">75 </span>   is a standard system status code which is non-zero only if a
<span id="L76" class="LineNr">76 </span>   password could not be read.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L77" class="LineNr">77 </span>
<span id="L78" class="LineNr">78 </span>
<span id="L79" class="LineNr">79 </span>Notes:  The password is processed as follows -- tab characters are
<span id="L80" class="LineNr">80 </span>translated to blanks.  Leading blanks are removed.  Characters after
<span id="L81" class="LineNr">81 </span>any embedded blanks are removed.  If the resulting password is all
<span id="L82" class="LineNr">82 </span>blank, a single asterisk <span class="textRainbow_lv0_p0">(</span>&quot;*&quot;<span class="textRainbow_lv0_p0">)</span> is returned; otherwise the password is
<span id="L83" class="LineNr">83 </span>returned.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
